Manifest-Version: 1.0
Bnd-LastModified: 1715669935127
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Layout Admin Web
Bundle-SymbolicName: com.liferay.layout.admin.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.149.hotfix-5476-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="7.0",com.liferay.asset.kernel;version="2
 .1",com.liferay.asset.kernel.exception;version="3.0",com.liferay.asse
 t.kernel.model;version="10.0",com.liferay.asset.kernel.service;versio
 n="8.3",com.liferay.asset.list.model;version="4.0",com.liferay.asset.
 list.service;version="3.0",com.liferay.asset.list.util;version="2.0",
 com.liferay.change.tracking.spi.display;version="2.1",com.liferay.cha
 nge.tracking.spi.display.context;version="1.2",com.liferay.client.ext
 ension.model;version="4.1",com.liferay.client.extension.service;versi
 on="7.0",com.liferay.client.extension.type;version="3.8",com.liferay.
 client.extension.type.item.selector;version="1.0",com.liferay.client.
 extension.type.item.selector.criterion;version="1.1",com.liferay.clie
 nt.extension.type.manager;version="3.0",com.liferay.counter.kernel.se
 rvice;version="2.2",com.liferay.document.library.kernel.exception;ver
 sion="4.2",com.liferay.document.library.kernel.model;version="8.2",co
 m.liferay.document.library.kernel.service;version="11.4",com.liferay.
 dynamic.data.mapping.model;version="7.1",com.liferay.dynamic.data.map
 ping.service;version="4.0",com.liferay.dynamic.data.mapping.validator
 ;version="1.7",com.liferay.expando.kernel.model;version="6.0",com.lif
 eray.exportimport.content.processor;version="1.0",com.liferay.exporti
 mport.controller;version="2.0",com.liferay.exportimport.data.handler.
 base;version="1.0",com.liferay.exportimport.kernel.lar;version="4.4",
 com.liferay.exportimport.kernel.lifecycle;version="4.0",com.liferay.e
 xportimport.kernel.model;version="6.0",com.liferay.exportimport.kerne
 l.staging;version="2.3",com.liferay.exportimport.lar;version="1.0",co
 m.liferay.exportimport.portlet.data.handler.helper;version="1.0",com.
 liferay.exportimport.staged.model.repository;version="1.1",com.lifera
 y.fragment.entry.processor.util;version="2.0",com.liferay.fragment.mo
 del;version="3.4",com.liferay.fragment.renderer;version="8.2",com.lif
 eray.fragment.service;version="7.8",com.liferay.friendly.url.exceptio
 n;version="1.0",com.liferay.friendly.url.info.item.provider;version="
 1.0",com.liferay.friendly.url.info.item.updater;version="1.0",com.lif
 eray.friendly.url.model;version="3.1",com.liferay.friendly.url.servic
 e;version="2.2",com.liferay.friendly.url.util.comparator;version="1.1
 ",com.liferay.frontend.taglib.clay.servlet.taglib;version="7.8",com.l
 iferay.frontend.taglib.clay.servlet.taglib.display.context;version="2
 .0",com.liferay.frontend.taglib.clay.servlet.taglib.util;version="4.4
 ",com.liferay.frontend.taglib.form.navigator;version="2.0",com.lifera
 y.frontend.taglib.form.navigator.constants;version="1.3",com.liferay.
 frontend.taglib.servlet.taglib;version="8.3",com.liferay.frontend.tag
 lib.servlet.taglib.util;version="2.0",com.liferay.info.collection.pro
 vider;version="4.0",com.liferay.info.exception;version="3.0",com.life
 ray.info.field;version="4.1",com.liferay.info.field.type;version="6.0
 ",com.liferay.info.form;version="2.1",com.liferay.info.item;version="
 7.0",com.liferay.info.item.provider;version="4.0",com.liferay.info.it
 em.updater;version="1.0",com.liferay.info.list.provider.item.selector
 .criterion;version="2.0",com.liferay.info.localized;version="2.0",com
 .liferay.info.search;version="2.1",com.liferay.item.selector;version=
 "4.10",com.liferay.item.selector.criteria;version="2.4",com.liferay.i
 tem.selector.criteria.file.criterion;version="1.2",com.liferay.item.s
 elector.criteria.upload.criterion;version="4.0",com.liferay.journal.m
 odel;version="14.2",com.liferay.journal.service;version="14.3",com.li
 feray.layout.admin.constants;version="2.2",com.liferay.layout.configu
 ration;version="1.0",com.liferay.layout.exporter;version="1.1",com.li
 feray.layout.friendly.url;version="1.0",com.liferay.layout.importer;v
 ersion="1.1",com.liferay.layout.model;version="2.3",com.liferay.layou
 t.page.template.exception;version="2.0",com.liferay.layout.page.templ
 ate.model;version="7.0",com.liferay.layout.page.template.service;vers
 ion="5.3",com.liferay.layout.page.template.util.comparator;version="1
 .1",com.liferay.layout.security.permission.resource;version="1.0",com
 .liferay.layout.seo.model;version="3.1",com.liferay.layout.seo.servic
 e;version="1.10",com.liferay.layout.service;version="3.0",com.liferay
 .layout.set.prototype.helper;version="2.0",com.liferay.layout.theme.i
 tem.selector.criterion;version="1.0",com.liferay.layout.util;version=
 "10.2",com.liferay.layout.util.comparator;version="2.3",com.liferay.l
 ayout.util.structure;version="10.3",com.liferay.layout.util.template;
 version="3.0",com.liferay.layout.utility.page.exception;version="4.0"
 ,com.liferay.layout.utility.page.kernel;version="1.1",com.liferay.lay
 out.utility.page.model;version="2.0",com.liferay.layout.utility.page.
 service;version="7.2",com.liferay.osgi.util.service;version="3.1",com
 .liferay.petra.function;version="1.5",com.liferay.petra.lang;version=
 "1.3",com.liferay.petra.reflect;version="1.5",com.liferay.petra.sql.d
 sl.query;version="2.0",com.liferay.petra.string;version="1.7",com.lif
 eray.portal.configuration.metatype.annotations;version="1.7",com.life
 ray.portal.configuration.metatype.bnd.util;version="3.0",com.liferay.
 portal.events;version="10.2",com.liferay.portal.kernel.annotation;ver
 sion="7.0",com.liferay.portal.kernel.application.type;version="1.0",c
 om.liferay.portal.kernel.backgroundtask;version="11.0",com.liferay.po
 rtal.kernel.bean;version="10.1",com.liferay.portal.kernel.change.trac
 king;version="2.2",com.liferay.portal.kernel.dao.db;version="13.1",co
 m.liferay.portal.kernel.dao.orm;version="12.0",com.liferay.portal.ker
 nel.dao.search;version="9.0",com.liferay.portal.kernel.exception;vers
 ion="13.2",com.liferay.portal.kernel.feature.flag;version="1.0",com.l
 iferay.portal.kernel.json;version="12.1",com.liferay.portal.kernel.la
 nguage;version="11.0",com.liferay.portal.kernel.layoutconfiguration.u
 til;version="4.0",com.liferay.portal.kernel.log;version="8.0",com.lif
 eray.portal.kernel.model;version="30.2",com.liferay.portal.kernel.mod
 el.adapter;version="5.1",com.liferay.portal.kernel.model.impl;version
 ="7.2",com.liferay.portal.kernel.model.portlet;version="2.0",com.life
 ray.portal.kernel.module.configuration;version="2.1",com.liferay.port
 al.kernel.module.framework;version="1.4",com.liferay.portal.kernel.no
 tifications;version="11.1",com.liferay.portal.kernel.plugin;version="
 7.0",com.liferay.portal.kernel.pop;version="7.0",com.liferay.portal.k
 ernel.portlet;version="26.0",com.liferay.portal.kernel.portlet.bridge
 s.mvc;version="6.1",com.liferay.portal.kernel.portlet.configuration.i
 con;version="5.0",com.liferay.portal.kernel.portlet.url.builder;versi
 on="2.0",com.liferay.portal.kernel.portletfilerepository;version="5.0
 ",com.liferay.portal.kernel.repository.model;version="11.2",com.lifer
 ay.portal.kernel.resource.bundle;version="1.0",com.liferay.portal.ker
 nel.scheduler;version="18.1",com.liferay.portal.kernel.search;version
 ="20.2",com.liferay.portal.kernel.security.auth;version="6.1",com.lif
 eray.portal.kernel.security.permission;version="6.5",com.liferay.port
 al.kernel.security.permission.propagator;version="1.0",com.liferay.po
 rtal.kernel.security.permission.resource;version="2.2",com.liferay.po
 rtal.kernel.service;version="24.1",com.liferay.portal.kernel.service.
 permission;version="5.0",com.liferay.portal.kernel.servlet;version="1
 2.0",com.liferay.portal.kernel.servlet.taglib;version="9.0",com.lifer
 ay.portal.kernel.servlet.taglib.ui;version="11.0",com.liferay.portal.
 kernel.settings;version="4.0",com.liferay.portal.kernel.template;vers
 ion="15.0",com.liferay.portal.kernel.theme;version="10.5",com.liferay
 .portal.kernel.transaction;version="8.1",com.liferay.portal.kernel.tr
 ash;version="14.0",com.liferay.portal.kernel.upgrade;version="21.1",c
 om.liferay.portal.kernel.upload;version="10.1",com.liferay.portal.ker
 nel.upload.configuration;version="1.0",com.liferay.portal.kernel.util
 ;version="61.0",com.liferay.portal.kernel.util.comparator;version="3.
 1",com.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.ke
 rnel.webdav;version="10.0",com.liferay.portal.kernel.webserver;versio
 n="1.0",com.liferay.portal.kernel.workflow;version="19.0",com.liferay
 .portal.kernel.xml;version="7.1",com.liferay.portal.kernel.xmlrpc;ver
 sion="6.2",com.liferay.portal.layoutconfiguration.util.velocity,com.l
 iferay.portal.model.adapter.impl,com.liferay.portal.model.impl,com.li
 feray.portal.service.impl,com.liferay.portal.upgrade.registry;version
 ="5.0",com.liferay.portal.util;version="50.0",com.liferay.portlet;ver
 sion="9.0",com.liferay.product.navigation.control.menu;version="5.0",
 com.liferay.segments.exception;version="1.3",com.liferay.segments.man
 ager;version="1.0",com.liferay.segments.model;version="4.0",com.lifer
 ay.segments.service;version="7.0",com.liferay.site.display.context;ve
 rsion="1.0",com.liferay.site.navigation.model;version="3.1",com.lifer
 ay.site.navigation.service;version="2.10",com.liferay.sites.kernel.ut
 il;version="1.4",com.liferay.social.kernel.model;version="6.1",com.li
 feray.staging;version="2.0",com.liferay.staging.configuration;version
 ="2.0",com.liferay.staging.model.listener;version="1.0",com.liferay.s
 tyle.book.model;version="2.1",com.liferay.style.book.service;version=
 "1.6",com.liferay.style.book.util;version="1.1",com.liferay.style.boo
 k.util.comparator;version="1.0",com.liferay.taglib.aui;version="15.1"
 ,com.liferay.taglib.security;version="8.1",com.liferay.taglib.servlet
 ;version="3.0",com.liferay.taglib.ui;version="18.0",com.liferay.tagli
 b.util;version="14.0",com.liferay.translation.info.item.provider;vers
 ion="1.0",com.liferay.translation.security.permission;version="1.0",c
 om.liferay.translation.url.provider;version="1.5",com.liferay.upload;
 version="1.2",javax.portlet,javax.portlet.annotations,javax.portlet.f
 ilter,javax.servlet,javax.servlet.http,javax.servlet.jsp;version="2.3
 ",org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/js/config.js
Liferay-Releng-App-Title: Liferay Layout
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.layout.admin.web.internal.action.provider
 ,com.liferay.layout.admin.web.internal.application.list,com.liferay.l
 ayout.admin.web.internal.asset.model,com.liferay.layout.admin.web.int
 ernal.change.tracking.spi.display,com.liferay.layout.admin.web.intern
 al.configuration,com.liferay.layout.admin.web.internal.constants,com.
 liferay.layout.admin.web.internal.display.context,com.liferay.layout.
 admin.web.internal.exportimport.data.handler,com.liferay.layout.admin
 .web.internal.exportimport.data.handler.helper,com.liferay.layout.adm
 in.web.internal.exportimport.staged.model.repository,com.liferay.layo
 ut.admin.web.internal.friendly.url.info.item.provider,com.liferay.lay
 out.admin.web.internal.friendly.url.info.item.updater,com.liferay.lay
 out.admin.web.internal.frontend.taglib.clay.servlet.taglib,com.lifera
 y.layout.admin.web.internal.frontend.taglib.form.navigator,com.lifera
 y.layout.admin.web.internal.frontend.taglib.servlet.taglib,com.lifera
 y.layout.admin.web.internal.handler,com.liferay.layout.admin.web.inte
 rnal.helper,com.liferay.layout.admin.web.internal.info.item,com.lifer
 ay.layout.admin.web.internal.info.item.helper,com.liferay.layout.admi
 n.web.internal.info.item.provider,com.liferay.layout.admin.web.intern
 al.info.item.updater,com.liferay.layout.admin.web.internal.item.selec
 tor,com.liferay.layout.admin.web.internal.model.listener,com.liferay.
 layout.admin.web.internal.portlet,com.liferay.layout.admin.web.intern
 al.portlet.action,com.liferay.layout.admin.web.internal.portlet.confi
 guration.icon,com.liferay.layout.admin.web.internal.portlet.filter,co
 m.liferay.layout.admin.web.internal.product.navigation.control.menu,c
 om.liferay.layout.admin.web.internal.security.permission.resource,com
 .liferay.layout.admin.web.internal.servlet.taglib.ui,com.liferay.layo
 ut.admin.web.internal.servlet.taglib.util,com.liferay.layout.admin.we
 b.internal.template,com.liferay.layout.admin.web.internal.upgrade.reg
 istry,com.liferay.layout.admin.web.internal.upgrade.v_1_0_0,com.lifer
 ay.layout.admin.web.internal.upgrade.v_1_0_1,com.liferay.layout.admin
 .web.internal.upgrade.v_1_0_2,com.liferay.layout.admin.web.internal.u
 pgrade.v_1_0_3,com.liferay.layout.admin.web.internal.upload,com.lifer
 ay.layout.admin.web.internal.util
Provide-Capability: osgi.webresource;osgi.webresource=layout-admin-web
 ;version:Version="5.0.149.hotfix-5476-7413",osgi.service;objectClass:
 List<String>="com.liferay.application.list.PanelApp";uses:="com.lifer
 ay.application.list",osgi.service;objectClass:List<String>="com.lifer
 ay.asset.kernel.model.AssetRendererFactory";uses:="com.liferay.asset.
 kernel.model",osgi.service;objectClass:List<String>="com.liferay.chan
 ge.tracking.spi.display.CTDisplayRenderer";uses:="com.liferay.change.
 tracking.spi.display",osgi.service;objectClass:List<String>="com.life
 ray.exportimport.kernel.lar.PortletDataHandler";uses:="com.liferay.ex
 portimport.kernel.lar",osgi.service;objectClass:List<String>="com.lif
 eray.exportimport.kernel.lar.StagedModelDataHandler";uses:="com.lifer
 ay.exportimport.kernel.lar",osgi.service;objectClass:List<String>="co
 m.liferay.exportimport.staged.model.repository.StagedModelRepository"
 ;uses:="com.liferay.exportimport.staged.model.repository",osgi.servic
 e;objectClass:List<String>="com.liferay.friendly.url.info.item.provid
 er.InfoItemFriendlyURLProvider";uses:="com.liferay.friendly.url.info.
 item.provider",osgi.service;objectClass:List<String>="com.liferay.fri
 endly.url.info.item.updater.InfoItemFriendlyURLUpdater";uses:="com.li
 feray.friendly.url.info.item.updater",osgi.service;objectClass:List<S
 tring>="com.liferay.frontend.taglib.form.navigator.FormNavigatorCateg
 ory";uses:="com.liferay.frontend.taglib.form.navigator",osgi.service;
 objectClass:List<String>="com.liferay.frontend.taglib.form.navigator.
 FormNavigatorEntry";uses:="com.liferay.frontend.taglib.form.navigator
 ",osgi.service;objectClass:List<String>="com.liferay.frontend.taglib.
 servlet.taglib.ScreenNavigationCategory";uses:="com.liferay.frontend.
 taglib.servlet.taglib",osgi.service;objectClass:List<String>="com.lif
 eray.frontend.taglib.servlet.taglib.ScreenNavigationEntry";uses:="com
 .liferay.frontend.taglib.servlet.taglib",osgi.service;objectClass:Lis
 t<String>="com.liferay.info.item.provider.InfoItemFieldValuesProvider
 ";uses:="com.liferay.info.item.provider",osgi.service;objectClass:Lis
 t<String>="com.liferay.info.item.provider.InfoItemFormProvider";uses:
 ="com.liferay.info.item.provider",osgi.service;objectClass:List<Strin
 g>="com.liferay.info.item.provider.InfoItemObjectProvider";uses:="com
 .liferay.info.item.provider",osgi.service;objectClass:List<String>="c
 om.liferay.info.item.provider.InfoItemPermissionProvider";uses:="com.
 liferay.info.item.provider",osgi.service;objectClass:List<String>="co
 m.liferay.info.item.updater.InfoItemFieldValuesUpdater";uses:="com.li
 feray.info.item.updater",osgi.service;objectClass:List<String>="com.l
 iferay.item.selector.ItemSelectorCriterionHandler";uses:="com.liferay
 .item.selector",osgi.service;objectClass:List<String>="com.liferay.it
 em.selector.ItemSelectorView";uses:="com.liferay.item.selector",osgi.
 service;objectClass:List<String>="com.liferay.layout.admin.web.intern
 al.exportimport.data.handler.helper.LayoutPageTemplateStructureDataHa
 ndlerHelper";uses:="com.liferay.layout.admin.web.internal.exportimpor
 t.data.handler.helper",osgi.service;objectClass:List<String>="com.lif
 eray.layout.admin.web.internal.handler.LayoutExceptionRequestHandler"
 ;uses:="com.liferay.layout.admin.web.internal.handler",osgi.service;o
 bjectClass:List<String>="com.liferay.layout.admin.web.internal.handle
 r.LayoutUtilityPageEntryPortalExceptionRequestHandler";uses:="com.lif
 eray.layout.admin.web.internal.handler",osgi.service;objectClass:List
 <String>="com.liferay.layout.admin.web.internal.upload.LayoutUtilityP
 ageEntryPreviewImageEditorUploadFileEntryHandler";uses:="com.liferay.
 layout.admin.web.internal.upload",osgi.service;objectClass:List<Strin
 g>="com.liferay.layout.util.LayoutsTree";uses:="com.liferay.layout.ut
 il",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 model.ModelListener";uses:="com.liferay.portal.kernel.model",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.portlet.Cont
 rolPanelEntry";uses:="com.liferay.portal.kernel.portlet",osgi.service
 ;objectClass:List<String>="com.liferay.portal.kernel.portlet.PortletP
 rovider";uses:="com.liferay.portal.kernel.portlet",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MV
 CActionCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.por
 tlet.bridges.mvc.MVCRenderCommand";uses:="com.liferay.portal.kernel.p
 ortlet.bridges.mvc",osgi.service;objectClass:List<String>="com.lifera
 y.portal.kernel.portlet.bridges.mvc.MVCResourceCommand";uses:="com.li
 feray.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.kernel.portlet.configuration.icon.Portl
 etConfigurationIcon";uses:="com.liferay.portal.kernel.portlet.configu
 ration.icon",osgi.service;objectClass:List<String>="com.liferay.porta
 l.kernel.service.permission.LayoutPrototypePermission";uses:="com.lif
 eray.portal.kernel.service.permission",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.servlet.taglib.DynamicInclude";use
 s:="com.liferay.portal.kernel.servlet.taglib",osgi.service;objectClas
 s:List<String>="com.liferay.portal.kernel.template.TemplateContextCon
 tributor";uses:="com.liferay.portal.kernel.template",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.upgrade.registry.UpgradeSte
 pRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi.servic
 e;objectClass:List<String>="com.liferay.product.navigation.control.me
 nu.ProductNavigationControlMenuEntry";uses:="com.liferay.product.navi
 gation.control.menu",osgi.service;objectClass:List<String>="com.lifer
 ay.translation.info.item.provider.InfoItemLanguagesProvider";uses:="c
 om.liferay.translation.info.item.provider",osgi.service;objectClass:L
 ist<String>="javax.portlet.Portlet";uses:="javax.portlet",osgi.servic
 e;objectClass:List<String>="javax.portlet.filter.PortletFilter";uses:
 ="javax.portlet.filter"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/expando))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/friendly-url
 ))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://li
 feray.com/tld/frontend))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/react))",osgi.extender;filter:="(
 &(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/site-navigatio
 n))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://l
 iferay.com/tld/theme))",osgi.extender;filter:="(&(osgi.extender=jsp.t
 aglib)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&(osg
 i.extender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.servic
 e;filter:="(objectClass=com.liferay.application.list.GroupProvider)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.asse
 t.kernel.service.AssetEntryLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.asset.list.service.AssetListEnt
 ryLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.client.extension.service.ClientExtensionEntryRelLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.client.extension.type.manager.CETManager)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.counter.kernel.service.Coun
 terLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.document.library.kernel.service.DLAppLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.documen
 t.library.kernel.service.DLAppService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.document.library.kernel.service.D
 LFileEntryLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.document.library.kernel.service.DLFolderLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.service.DDMStructureLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.exportimport.c
 ontent.processor.ExportImportContentProcessor)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.exportimport.controller.P
 ortletExportController)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.exportimport.controller.PortletImportController)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.ex
 portimport.kernel.lar.ExportImportHelper)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.exportimport.kernel.lar.Export
 ImportProcessCallbackRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.exportimport.kernel.lar.PortletDataContex
 tFactory)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.exportimport.kernel.lar.PortletDataHandlerStatusMessageSender)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.ex
 portimport.kernel.lifecycle.ExportImportLifecycleManager)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.exportimport.k
 ernel.staging.Staging)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.exportimport.lar.PermissionImporter)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.exportimport.po
 rtlet.data.handler.helper.PortletDataHandlerHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.exportimport.staged.
 model.repository.StagedModelRepository)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.exportimport.staged.model.reposi
 tory.StagedModelRepositoryHelper)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.fragment.renderer.FragmentRendererCont
 roller)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.fragment.service.FragmentEntryLinkLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.friendly.url.servic
 e.FriendlyURLEntryLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.frontend.taglib.form.navigator.FormNavig
 atorCategoryProvider)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.frontend.taglib.form.navigator.FormNavigatorEntryP
 rovider)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.frontend.taglib.servlet.taglib.util.JSPRenderer)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.info.item.InfoIte
 mServiceRegistry)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.item.selector.ItemSelector)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.item.selector.ItemSelectorUpl
 oadResponseHandler)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.item.selector.ItemSelectorViewDescriptorRenderer)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.journ
 al.service.JournalArticleResourceLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.layout.admin.web.internal
 .exportimport.data.handler.helper.LayoutPageTemplateStructureDataHand
 lerHelper)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.layout.admin.web.internal.handler.LayoutExceptionRequestHandl
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .layout.admin.web.internal.handler.LayoutUtilityPageEntryPortalExcept
 ionRequestHandler)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.layout.admin.web.internal.upload.LayoutUtilityPageEnt
 ryPreviewImageEditorUploadFileEntryHandler)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.layout.exporter.LayoutsExpor
 ter)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.layout.friendly.url.LayoutFriendlyURLEntryHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.layout.importer.Layo
 utsImporter)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.layout.page.template.service.LayoutPageTemplateCollectionLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.layout.page.template.service.LayoutPageTemplateEntryLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.layout.page.template.service.LayoutPageTemplateEntryService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.p
 age.template.service.LayoutPageTemplateStructureLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.pag
 e.template.service.LayoutPageTemplateStructureRelLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.se
 curity.permission.resource.LayoutContentModelResourcePermission)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.layout.
 seo.service.LayoutSEOEntryLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.layout.seo.service.LayoutSEOSite
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.layout.service.LayoutClassedModelUsageLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.se
 rvice.LayoutLocalizationLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.layout.set.prototype.helper.Layout
 SetPrototypeHelper)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.layout.util.BulkLayoutConverter)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.layout.util.LayoutCopy
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.layout.util.template.LayoutConverterRegistry)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.layout.utility.page.s
 ervice.LayoutUtilityPageEntryLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.layout.utility.page.service.L
 ayoutUtilityPageEntryService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .language.Language)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.model.Portlet)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.module.confi
 guration.ConfigurationProvider)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.module.framework.ModuleSer
 viceLifecycle)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.portletfilerepository.PortletFileRepository
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.security.permission.resource.ModelResourcePermission)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.GroupLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.GroupService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.ImageLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.LayoutBranch
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.LayoutFriendlyURLLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.LayoutLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.LayoutPrototypeL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.LayoutPrototypeService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.LayoutRevisionLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.LayoutService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.LayoutSetBranchLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.service.Lay
 outSetLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.LayoutSetPrototypeLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.service.LayoutSetService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.LayoutTempl
 ateLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.PortletLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.PortletPreferencesLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.ResourceLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.ThemeLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.U
 serLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.permission.GroupPermission)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.permission.LayoutPermission)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.util.Html)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.util.Localization)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.util.Portal)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.uuid.Por
 talUUID)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.service.impl.LayoutLocalServiceHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.segments.service.Seg
 mentsExperienceLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.site.navigation.service.SiteNavigationMenuL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.sites.kernel.util.Sites)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.staging.StagingGroupHelper)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.staging.mode
 l.listener.StagingModelListener)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.style.book.service.StyleBookEntryLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.translation.security.permission.TranslationPermission)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.translation.
 url.provider.TranslationURLProvider)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.upload.UniqueFileNameProvider)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.upload.
 UploadHandler)";effective:=active,osgi.service;filter:="(objectClass=
 javax.servlet.ServletContext)";effective:=active,osgi.extender;filter
 :="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)
 ))",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract
 =JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=JavaServle
 t;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;fil
 ter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.layout.admin.web.internal.appl
 ication.list.GroupPagesPanelApp.xml,OSGI-INF/com.liferay.layout.admin
 .web.internal.asset.model.LayoutAssetRendererFactory.xml,OSGI-INF/com
 .liferay.layout.admin.web.internal.asset.model.LayoutRevisionAssetRen
 dererFactory.xml,OSGI-INF/com.liferay.layout.admin.web.internal.chang
 e.tracking.spi.display.LayoutCTDisplayRenderer.xml,OSGI-INF/com.lifer
 ay.layout.admin.web.internal.change.tracking.spi.display.LayoutSetCTD
 isplayRenderer.xml,OSGI-INF/com.liferay.layout.admin.web.internal.exp
 ortimport.data.handler.GroupPagesPortletDataHandler.xml,OSGI-INF/com.
 liferay.layout.admin.web.internal.exportimport.data.handler.LayoutFri
 endlyURLStagedModelDataHandler.xml,OSGI-INF/com.liferay.layout.admin.
 web.internal.exportimport.data.handler.LayoutPageTemplateCollectionSt
 agedModelDataHandler.xml,OSGI-INF/com.liferay.layout.admin.web.intern
 al.exportimport.data.handler.LayoutPageTemplateEntryStagedModelDataHa
 ndler.xml,OSGI-INF/com.liferay.layout.admin.web.internal.exportimport
 .data.handler.LayoutPageTemplateStructureRelStagedModelDataHandler.xm
 l,OSGI-INF/com.liferay.layout.admin.web.internal.exportimport.data.ha
 ndler.LayoutPageTemplateStructureStagedModelDataHandler.xml,OSGI-INF/
 com.liferay.layout.admin.web.internal.exportimport.data.handler.Layou
 tStagedModelDataHandler.xml,OSGI-INF/com.liferay.layout.admin.web.int
 ernal.exportimport.data.handler.LayoutUtilityPageEntryStagedModelData
 Handler.xml,OSGI-INF/com.liferay.layout.admin.web.internal.exportimpo
 rt.data.handler.StagedThemeStagedModelDataHandler.xml,OSGI-INF/com.li
 feray.layout.admin.web.internal.exportimport.data.handler.helper.Layo
 utPageTemplateStructureDataHandlerHelper.xml,OSGI-INF/com.liferay.lay
 out.admin.web.internal.exportimport.staged.model.repository.LayoutFri
 endlyURLStagedModelRepository.xml,OSGI-INF/com.liferay.layout.admin.w
 eb.internal.exportimport.staged.model.repository.LayoutPageTemplateCo
 llectionStagedModelRepository.xml,OSGI-INF/com.liferay.layout.admin.w
 eb.internal.exportimport.staged.model.repository.LayoutPageTemplateEn
 tryStagedModelRepository.xml,OSGI-INF/com.liferay.layout.admin.web.in
 ternal.exportimport.staged.model.repository.LayoutPageTemplateStructu
 reRelStagedModelRepository.xml,OSGI-INF/com.liferay.layout.admin.web.
 internal.exportimport.staged.model.repository.LayoutPageTemplateStruc
 tureStagedModelRepository.xml,OSGI-INF/com.liferay.layout.admin.web.i
 nternal.exportimport.staged.model.repository.LayoutStagedModelReposit
 ory.xml,OSGI-INF/com.liferay.layout.admin.web.internal.exportimport.s
 taged.model.repository.LayoutUtilityPageEntryStagedModelRepository.xm
 l,OSGI-INF/com.liferay.layout.admin.web.internal.friendly.url.info.it
 em.provider.LayoutInfoItemFriendlyURLProvider.xml,OSGI-INF/com.lifera
 y.layout.admin.web.internal.friendly.url.info.item.updater.LayoutInfo
 ItemFriendlyURLUpdater.xml,OSGI-INF/com.liferay.layout.admin.web.inte
 rnal.frontend.taglib.form.navigator.LayoutAdvancedFormNavigatorCatego
 ry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.frontend.taglib
 .form.navigator.LayoutBasicInfoFormNavigatorEntry.xml,OSGI-INF/com.li
 feray.layout.admin.web.internal.frontend.taglib.form.navigator.Layout
 BasicSettingsFormNavigatorEntry.xml,OSGI-INF/com.liferay.layout.admin
 .web.internal.frontend.taglib.form.navigator.LayoutCategorizationForm
 NavigatorEntry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.fro
 ntend.taglib.form.navigator.LayoutCustomFieldsFormNavigatorEntry.xml,
 OSGI-INF/com.liferay.layout.admin.web.internal.frontend.taglib.form.n
 avigator.LayoutCustomizationFormNavigatorEntry.xml,OSGI-INF/com.lifer
 ay.layout.admin.web.internal.frontend.taglib.form.navigator.LayoutCus
 tomizationSettingsFormNavigatorEntry.xml,OSGI-INF/com.liferay.layout.
 admin.web.internal.frontend.taglib.form.navigator.LayoutGeneralFormNa
 vigatorCategory.xml,OSGI-INF/com.liferay.layout.admin.web.internal.fr
 ontend.taglib.form.navigator.LayoutLayoutFormNavigatorEntry.xml,OSGI-
 INF/com.liferay.layout.admin.web.internal.frontend.taglib.form.naviga
 tor.LayoutLookAndFeelFormNavigatorCategory.xml,OSGI-INF/com.liferay.l
 ayout.admin.web.internal.frontend.taglib.form.navigator.LayoutSetAdva
 ncedFormNavigatorCategory.xml,OSGI-INF/com.liferay.layout.admin.web.i
 nternal.frontend.taglib.form.navigator.LayoutSetAdvancedFormNavigator
 Entry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.frontend.tag
 lib.form.navigator.LayoutSetBasicSettingsFormNavigatorEntry.xml,OSGI-
 INF/com.liferay.layout.admin.web.internal.frontend.taglib.form.naviga
 tor.LayoutSetCustomizationFormNavigatorEntry.xml,OSGI-INF/com.liferay
 .layout.admin.web.internal.frontend.taglib.form.navigator.LayoutSetLo
 okAndFeelFormNavigatorCategory.xml,OSGI-INF/com.liferay.layout.admin.
 web.internal.frontend.taglib.form.navigator.LayoutSetRobotsFormNaviga
 torEntry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.frontend.
 taglib.form.navigator.LayoutSetSitemapFormNavigatorEntry.xml,OSGI-INF
 /com.liferay.layout.admin.web.internal.frontend.taglib.form.navigator
 .LayoutSetThemeFormNavigatorEntry.xml,OSGI-INF/com.liferay.layout.adm
 in.web.internal.frontend.taglib.form.navigator.LayoutThemeFormNavigat
 orEntry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.frontend.t
 aglib.form.navigator.LayoutURLFormNavigatorEntry.xml,OSGI-INF/com.lif
 eray.layout.admin.web.internal.frontend.taglib.servlet.taglib.LayoutD
 esignScreenNavigationEntry.xml,OSGI-INF/com.liferay.layout.admin.web.
 internal.frontend.taglib.servlet.taglib.LayoutGeneralScreenNavigation
 Entry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.frontend.tag
 lib.servlet.taglib.LayoutScreenNavigationCategory.xml,OSGI-INF/com.li
 feray.layout.admin.web.internal.frontend.taglib.servlet.taglib.Layout
 SetDesignScreenNavigationCategory.xml,OSGI-INF/com.liferay.layout.adm
 in.web.internal.frontend.taglib.servlet.taglib.LayoutSetDesignScreenN
 avigationEntry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.fro
 ntend.taglib.servlet.taglib.LayoutSetSEOScreenNavigationEntry.xml,OSG
 I-INF/com.liferay.layout.admin.web.internal.handler.LayoutExceptionRe
 questHandler.xml,OSGI-INF/com.liferay.layout.admin.web.internal.handl
 er.LayoutUtilityPageEntryPortalExceptionRequestHandler.xml,OSGI-INF/c
 om.liferay.layout.admin.web.internal.info.item.provider.LayoutInfoIte
 mFieldValuesProvider.xml,OSGI-INF/com.liferay.layout.admin.web.intern
 al.info.item.provider.LayoutInfoItemFormProvider.xml,OSGI-INF/com.lif
 eray.layout.admin.web.internal.info.item.provider.LayoutInfoItemLangu
 agesProvider.xml,OSGI-INF/com.liferay.layout.admin.web.internal.info.
 item.provider.LayoutInfoItemObjectProvider.xml,OSGI-INF/com.liferay.l
 ayout.admin.web.internal.info.item.provider.LayoutInfoItemPermissionP
 rovider.xml,OSGI-INF/com.liferay.layout.admin.web.internal.info.item.
 provider.LayoutSegmentsExperienceInfoItemFieldValuesProvider.xml,OSGI
 -INF/com.liferay.layout.admin.web.internal.info.item.provider.LayoutS
 egmentsExperienceInfoItemFormProvider.xml,OSGI-INF/com.liferay.layout
 .admin.web.internal.info.item.provider.LayoutSegmentsExperienceInfoIt
 emLanguagesProvider.xml,OSGI-INF/com.liferay.layout.admin.web.interna
 l.info.item.provider.LayoutSegmentsExperienceInfoItemObjectProvider.x
 ml,OSGI-INF/com.liferay.layout.admin.web.internal.info.item.provider.
 LayoutSegmentsExperienceInfoItemPermissionProvider.xml,OSGI-INF/com.l
 iferay.layout.admin.web.internal.info.item.updater.LayoutInfoItemFiel
 dValuesUpdater.xml,OSGI-INF/com.liferay.layout.admin.web.internal.inf
 o.item.updater.LayoutSegmentsExperienceInfoItemFieldValuesUpdater.xml
 ,OSGI-INF/com.liferay.layout.admin.web.internal.item.selector.MasterL
 ayoutPageTemplateEntryItemSelectorCriterionHandler.xml,OSGI-INF/com.l
 iferay.layout.admin.web.internal.item.selector.MasterLayoutPageTempla
 teEntryItemSelectorView.xml,OSGI-INF/com.liferay.layout.admin.web.int
 ernal.item.selector.StyleBookEntryItemSelectorCriterionHandler.xml,OS
 GI-INF/com.liferay.layout.admin.web.internal.item.selector.StyleBookE
 ntryItemSelectorView.xml,OSGI-INF/com.liferay.layout.admin.web.intern
 al.model.listener.LayoutFriendlyURLStagingModelListener.xml,OSGI-INF/
 com.liferay.layout.admin.web.internal.model.listener.LayoutPageTempla
 teCollectionStagingModelListener.xml,OSGI-INF/com.liferay.layout.admi
 n.web.internal.model.listener.LayoutPageTemplateEntryStagingModelList
 ener.xml,OSGI-INF/com.liferay.layout.admin.web.internal.model.listene
 r.LayoutPageTemplateStructureStagingModelListener.xml,OSGI-INF/com.li
 feray.layout.admin.web.internal.model.listener.LayoutStagingModelList
 ener.xml,OSGI-INF/com.liferay.layout.admin.web.internal.model.listene
 r.LayoutUtilityPageEntryStagingModelListener.xml,OSGI-INF/com.liferay
 .layout.admin.web.internal.portlet.GroupPagesControlPanelEntry.xml,OS
 GI-INF/com.liferay.layout.admin.web.internal.portlet.GroupPagesPortle
 t.xml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.LayoutAd
 minEditPortletProvider.xml,OSGI-INF/com.liferay.layout.admin.web.inte
 rnal.portlet.LayoutPrototypePortlet.xml,OSGI-INF/com.liferay.layout.a
 dmin.web.internal.portlet.action.AddCollectionLayoutMVCActionCommand.
 xml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.action.Add
 ContentLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.w
 eb.internal.portlet.action.AddLayoutConversionPreviewMVCActionCommand
 .xml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.action.Ad
 dLayoutMVCRenderCommand.xml,OSGI-INF/com.liferay.layout.admin.web.int
 ernal.portlet.action.AddLayoutUtilityPageEntryMVCActionCommand.xml,OS
 GI-INF/com.liferay.layout.admin.web.internal.portlet.action.AddSimple
 LayoutMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.web.inte
 rnal.portlet.action.ChangeLayoutPrototypeDisplayStyleMVCActionCommand
 .xml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.action.Co
 nvertLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.web
 .internal.portlet.action.CopyLayoutMVCActionCommand.xml,OSGI-INF/com.
 liferay.layout.admin.web.internal.portlet.action.CopyLayoutUtilityPag
 eEntryMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.web.inte
 rnal.portlet.action.DeleteLayoutMVCActionCommand.xml,OSGI-INF/com.lif
 eray.layout.admin.web.internal.portlet.action.DeleteLayoutUtilityPage
 EntryMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.web.inter
 nal.portlet.action.DeleteLayoutUtilityPageEntryPreviewMVCActionComman
 d.xml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.action.D
 eleteOrphanPortletsMVCActionCommand.xml,OSGI-INF/com.liferay.layout.a
 dmin.web.internal.portlet.action.DiscardDraftLayoutMVCActionCommand.x
 ml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.action.Edit
 LayoutDesignMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.we
 b.internal.portlet.action.EditLayoutMVCActionCommand.xml,OSGI-INF/com
 .liferay.layout.admin.web.internal.portlet.action.EditLayoutMVCRender
 Command.xml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.ac
 tion.EditLayoutSetMVCActionCommand.xml,OSGI-INF/com.liferay.layout.ad
 min.web.internal.portlet.action.EditLayoutSetMVCRenderCommand.xml,OSG
 I-INF/com.liferay.layout.admin.web.internal.portlet.action.EnableLayo
 utMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.web.internal
 .portlet.action.ExportLayoutUtilityPageEntriesMVCResourceCommand.xml,
 OSGI-INF/com.liferay.layout.admin.web.internal.portlet.action.GetFrie
 ndlyURLWarningResourceCommand.xml,OSGI-INF/com.liferay.layout.admin.w
 eb.internal.portlet.action.GetLayoutChildrenMVCActionCommand.xml,OSGI
 -INF/com.liferay.layout.admin.web.internal.portlet.action.GetLayoutPa
 geTemplateEntryListMVCResourceCommand.xml,OSGI-INF/com.liferay.layout
 .admin.web.internal.portlet.action.ImportLayoutUtilityPageEntriesMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.layout.admin.web.internal.portl
 et.action.MoveLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.layout.
 admin.web.internal.portlet.action.ResetCustomizationViewMVCActionComm
 and.xml,OSGI-INF/com.liferay.layout.admin.web.internal.portlet.action
 .ResetLayoutPrototypeMergeFailCountAndMergeMVCActionCommand.xml,OSGI-
 INF/com.liferay.layout.admin.web.internal.portlet.action.ResetMergeFa
 ilCountAndMergeMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin
 .web.internal.portlet.action.ResetPrototypeMVCActionCommand.xml,OSGI-
 INF/com.liferay.layout.admin.web.internal.portlet.action.SelectLayout
 SetBranchMVCActionCommand.xml,OSGI-INF/com.liferay.layout.admin.web.i
 nternal.portlet.action.ToggleCustomizedViewMVCActionCommand.xml,OSGI-
 INF/com.liferay.layout.admin.web.internal.portlet.action.UpdateDefaul
 tLayoutUtilityPageEntryMVCActionCommand.xml,OSGI-INF/com.liferay.layo
 ut.admin.web.internal.portlet.action.UpdateLayoutUtilityPageEntryMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.layout.admin.web.internal.portl
 et.action.UpdateLayoutUtilityPageEntryPreviewMVCActionCommand.xml,OSG
 I-INF/com.liferay.layout.admin.web.internal.portlet.action.UploadLayo
 utUtilityPageEntryPreviewMVCActionCommand.xml,OSGI-INF/com.liferay.la
 yout.admin.web.internal.portlet.configuration.icon.ImportPortletConfi
 gurationIcon.xml,OSGI-INF/com.liferay.layout.admin.web.internal.portl
 et.configuration.icon.ImportTranslationPortletConfigurationIcon.xml,O
 SGI-INF/com.liferay.layout.admin.web.internal.portlet.configuration.i
 con.LayoutSetConfigurationPortletConfigurationIcon.xml,OSGI-INF/com.l
 iferay.layout.admin.web.internal.portlet.filter.GroupPagesRenderParam
 etersRenderFilter.xml,OSGI-INF/com.liferay.layout.admin.web.internal.
 product.navigation.control.menu.CustomizationSettingsProductNavigatio
 nControlMenuEntry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.
 product.navigation.control.menu.InformationMessagesProductNavigationC
 ontrolMenuEntry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.pr
 oduct.navigation.control.menu.LayoutActionsProductNavigationControlMe
 nuEntry.xml,OSGI-INF/com.liferay.layout.admin.web.internal.product.na
 vigation.control.menu.ManageLayoutProductNavigationControlMenuEntry.x
 ml,OSGI-INF/com.liferay.layout.admin.web.internal.product.navigation.
 control.menu.ToggleControlsProductNavigationControlMenuEntry.xml,OSGI
 -INF/com.liferay.layout.admin.web.internal.security.permission.resour
 ce.LayoutPageTemplateEntryLayoutPrototypePermission.xml,OSGI-INF/com.
 liferay.layout.admin.web.internal.servlet.taglib.ui.CustomizationSett
 ingsControlMenuJSPDynamicInclude.xml,OSGI-INF/com.liferay.layout.admi
 n.web.internal.template.LayoutEditModeTemplateContextContributor.xml,
 OSGI-INF/com.liferay.layout.admin.web.internal.template.ToggleControl
 sTemplateContextContributor.xml,OSGI-INF/com.liferay.layout.admin.web
 .internal.upgrade.registry.LayoutAdminWebUpgradeStepRegistrator.xml,O
 SGI-INF/com.liferay.layout.admin.web.internal.upload.LayoutUtilityPag
 eEntryPreviewImageEditorUploadFileEntryHandler.xml,OSGI-INF/com.lifer
 ay.layout.admin.web.internal.util.LayoutsTreeImpl.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /layout-admin-web

